uniform sampler2D diffuseTexture;

uniform vec2 R_blurScale;
uniform vec2 texelSize;

varying vec2 outUV;

void main()
{
	vec4 color = vec4(0.0);
	
	color += texture2D(diffuseTexture, outUV + vec2(-7.0) * R_blurScale * texelSize) * (0.023089);
	color += texture2D(diffuseTexture, outUV + vec2(-6.0) * R_blurScale * texelSize) * (0.034587);
	color += texture2D(diffuseTexture, outUV + vec2(-5.0) * R_blurScale * texelSize) * (0.048689);
	color += texture2D(diffuseTexture, outUV + vec2(-4.0) * R_blurScale * texelSize) * (0.064408);
	color += texture2D(diffuseTexture, outUV + vec2(-3.0) * R_blurScale * texelSize) * (0.080066);
	color += texture2D(diffuseTexture, outUV + vec2(-2.0) * R_blurScale * texelSize) * (0.093531);
	color += texture2D(diffuseTexture, outUV + vec2(-1.0) * R_blurScale * texelSize) * (0.102673);
	color += texture2D(diffuseTexture, outUV + vec2(0.0)  * R_blurScale * texelSize) * (0.105915);
	color += texture2D(diffuseTexture, outUV + vec2(1.0)  * R_blurScale * texelSize) * (0.102673);
	color += texture2D(diffuseTexture, outUV + vec2(2.0)  * R_blurScale * texelSize) * (0.093531);
	color += texture2D(diffuseTexture, outUV + vec2(3.0)  * R_blurScale * texelSize) * (0.080066);
	color += texture2D(diffuseTexture, outUV + vec2(4.0)  * R_blurScale * texelSize) * (0.064408);
	color += texture2D(diffuseTexture, outUV + vec2(5.0)  * R_blurScale * texelSize) * (0.048689);
	color += texture2D(diffuseTexture, outUV + vec2(6.0)  * R_blurScale * texelSize) * (0.034587);
	color += texture2D(diffuseTexture, outUV + vec2(7.0)  * R_blurScale * texelSize) * (0.023089);
	
	gl_FragColor = color;
}