uniform sampler2D diffuseTexture;

uniform vec2 R_blurScale;
uniform vec2 texelSize;

varying vec2 outUV;

void main()
{
	vec4 color = vec4(0.0);
	
	color += texture2D(diffuseTexture, outUV + vec2(-4.0) * R_blurScale * texelSize) * (0.05);
	color += texture2D(diffuseTexture, outUV + vec2(-3.0) * R_blurScale * texelSize) * (0.09);
	color += texture2D(diffuseTexture, outUV + vec2(-2.0) * R_blurScale * texelSize) * (0.11);
	color += texture2D(diffuseTexture, outUV + vec2(-1.0) * R_blurScale * texelSize) * (0.15);
	color += texture2D(diffuseTexture, outUV + vec2(0.0)  * R_blurScale * texelSize) * (0.20);
	color += texture2D(diffuseTexture, outUV + vec2(1.0)  * R_blurScale * texelSize) * (0.15);
	color += texture2D(diffuseTexture, outUV + vec2(2.0)  * R_blurScale * texelSize) * (0.11);
	color += texture2D(diffuseTexture, outUV + vec2(3.0)  * R_blurScale * texelSize) * (0.09);
	color += texture2D(diffuseTexture, outUV + vec2(4.0)  * R_blurScale * texelSize) * (0.05);
	
	gl_FragColor = color;
}