uniform sampler2D diffuseTexture;
varying vec3 outPosition;
uniform vec4 R_clipPlane;

uniform vec4 color;

varying vec2 outUV;

void main()
{
	if(dot(outPosition, R_clipPlane.xyz) < R_clipPlane.w)
	discard;
	gl_FragColor = texture2D(diffuseTexture, outUV) * color;
}