uniform mat4 T_modelViewProjectionMatrix;
uniform mat4 T_modelMatrix;

uniform vec4 uvAnimation;

attribute vec3 vertex;
attribute vec2 UV;

varying vec3 outPosition;
varying vec2 outUV;

void main()
{
    gl_Position = T_modelViewProjectionMatrix * vec4(vertex, 1.0);
	outUV=UV * uvAnimation.zw + uvAnimation.xy;
	outPosition=vec3(T_modelMatrix * vec4(vertex, 1.0));
}