uniform mat4 T_modelViewProjectionMatrix;

attribute vec3 vertex;
attribute vec4 color;

varying vec4 outColor;
varying vec3 outVertexVector;

void main()
{
    gl_Position = T_modelViewProjectionMatrix * vec4(vertex, 1.0);
	outColor=color;
	outVertexVector=vertex;
}