uniform samplerCube diffuseTexture;
uniform samplerCube diffuseTexture2;
uniform float blendFactor;

varying vec4 outColor;
varying vec3 outVertexVector;

void main()
{
	vec4 color = textureCube(diffuseTexture, outVertexVector);
	vec4 color2 = textureCube(diffuseTexture2, outVertexVector);
	gl_FragColor = mix(color, color2, blendFactor) * outColor;
}