uniform sampler2D diffuseTexture;

uniform vec2 texelSize;

varying vec2 outUV;

void main()
{
	vec4 texColor = texture2D(diffuseTexture, outUV);
	float intensity = dot(texColor.rgb, vec3(0.29, 0.59, 0.12));
	if(intensity > 0.7)
		gl_FragColor = vec4(1.0,1.0,1.0,1.0);
	else
		gl_FragColor = vec4(0.0,0.0,0.0,1.0);
}