uniform sampler2D diffuseTexture;

uniform vec2 texelSize;

varying vec2 outUV;

void main()
{
	vec4 texColor = texture2D(diffuseTexture, outUV);
	float intensity = dot(texColor.rgb, vec3(0.29, 0.59, 0.12));
	gl_FragColor = vec4(intensity, intensity, intensity, 1.0);
}