uniform sampler2D diffuseTexture;

uniform vec2 texelSize;
uniform float scaleFactor;

varying vec2 outUV;

void main()
{
	vec4 texColor = texture2D(diffuseTexture, outUV);
	gl_FragColor = vec4(scaleFactor * texColor.rgb, 1.0);
}