uniform sampler2D diffuseTexture;
varying vec3 outPosition;
uniform vec4 R_clipPlane;

varying vec2 outUV;
varying vec4 outColor;

void main()
{
	if(dot(outPosition, R_clipPlane.xyz) < R_clipPlane.w)
	discard;
	gl_FragColor = texture2D(diffuseTexture, outUV) * outColor;
	//gl_FragColor = vec4(0.0,1.0,0.0,1.0);
}